cURL
curl --request POST \
--url 'https://www.rainbrand.com/api/v1/brands/e6220a5e-4a68-4d39-8bb9-5105e9a3a164/edits/22f07ed4-665a-46de-9843-b271e2e3d247/discard' \
--header "x-api-key: $RAINBRAND_API_KEY"{
"data": {
"id": "22f07ed4-665a-46de-9843-b271e2e3d247",
"brandId": "e6220a5e-4a68-4d39-8bb9-5105e9a3a164",
"baseSkillId": "6590fb89-c177-45b3-85d4-74ab6b92dc2a",
"target": {
"skillId": "6a46ce07-8509-461d-bb64-46cb6cd996ea"
},
"changeSet": {
"schemaVersion": 2,
"baseSkillId": "6590fb89-c177-45b3-85d4-74ab6b92dc2a",
"targetSkillId": "6a46ce07-8509-461d-bb64-46cb6cd996ea",
"profileChanges": [],
"assetChanges": [],
"markdownChanges": [
{
"path": "references/colors.md",
"operation": "modify",
"additions": 1,
"deletions": 1,
"hunks": [
{
"oldStart": 3,
"oldLines": 1,
"newStart": 3,
"newLines": 1,
"lines": [
{
"kind": "remove",
"text": "Atlas Pro uses yellow #FFD600."
},
{
"kind": "add",
"text": "Atlas Pro uses burgundy #6D1A36."
}
]
}
],
"truncated": false
}
]
},
"targetProfile": {
"name": "Acme Inc.",
"primaryLogo": null
},
"interaction": null,
"replacement": null,
"changeSummary": "Use burgundy #6D1A36 for Atlas Pro materials.",
"statusMessage": "Brand update discarded.",
"error": null,
"createdAt": "2026-10-24T09:00:00.000Z",
"updatedAt": "2026-10-24T09:00:00.000Z",
"status": "discarded"
}
}{
"error": {
"code": "UNAUTHORIZED",
"status": 401,
"message": "Invalid or missing API credentials",
"data": "<unknown>"
}
}{
"error": {
"code": "ACCOUNT_BANNED",
"status": 403,
"message": "This account has been suspended.",
"data": "<unknown>"
}
}{
"error": {
"code": "BRAND_NOT_FOUND",
"status": 404,
"message": "Brand not found",
"data": "<unknown>"
}
}{
"error": {
"code": "BRAND_EDIT_STATE_CONFLICT",
"status": 409,
"message": "Brand edit cannot be discarded in its current state",
"data": {
"editId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "preparing"
}
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Rate limit exceeded",
"data": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"status": 500,
"message": "Brand edit request failed",
"data": "<unknown>"
}
}Brand Edits
Discard a Brand Edit
Discard a Brand Edit without changing the active brand.
POST
/
brands
/
{id}
/
edits
/
{editId}
/
discard
cURL
curl --request POST \
--url 'https://www.rainbrand.com/api/v1/brands/e6220a5e-4a68-4d39-8bb9-5105e9a3a164/edits/22f07ed4-665a-46de-9843-b271e2e3d247/discard' \
--header "x-api-key: $RAINBRAND_API_KEY"{
"data": {
"id": "22f07ed4-665a-46de-9843-b271e2e3d247",
"brandId": "e6220a5e-4a68-4d39-8bb9-5105e9a3a164",
"baseSkillId": "6590fb89-c177-45b3-85d4-74ab6b92dc2a",
"target": {
"skillId": "6a46ce07-8509-461d-bb64-46cb6cd996ea"
},
"changeSet": {
"schemaVersion": 2,
"baseSkillId": "6590fb89-c177-45b3-85d4-74ab6b92dc2a",
"targetSkillId": "6a46ce07-8509-461d-bb64-46cb6cd996ea",
"profileChanges": [],
"assetChanges": [],
"markdownChanges": [
{
"path": "references/colors.md",
"operation": "modify",
"additions": 1,
"deletions": 1,
"hunks": [
{
"oldStart": 3,
"oldLines": 1,
"newStart": 3,
"newLines": 1,
"lines": [
{
"kind": "remove",
"text": "Atlas Pro uses yellow #FFD600."
},
{
"kind": "add",
"text": "Atlas Pro uses burgundy #6D1A36."
}
]
}
],
"truncated": false
}
]
},
"targetProfile": {
"name": "Acme Inc.",
"primaryLogo": null
},
"interaction": null,
"replacement": null,
"changeSummary": "Use burgundy #6D1A36 for Atlas Pro materials.",
"statusMessage": "Brand update discarded.",
"error": null,
"createdAt": "2026-10-24T09:00:00.000Z",
"updatedAt": "2026-10-24T09:00:00.000Z",
"status": "discarded"
}
}{
"error": {
"code": "UNAUTHORIZED",
"status": 401,
"message": "Invalid or missing API credentials",
"data": "<unknown>"
}
}{
"error": {
"code": "ACCOUNT_BANNED",
"status": 403,
"message": "This account has been suspended.",
"data": "<unknown>"
}
}{
"error": {
"code": "BRAND_NOT_FOUND",
"status": 404,
"message": "Brand not found",
"data": "<unknown>"
}
}{
"error": {
"code": "BRAND_EDIT_STATE_CONFLICT",
"status": 409,
"message": "Brand edit cannot be discarded in its current state",
"data": {
"editId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "preparing"
}
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Rate limit exceeded",
"data": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"status": 500,
"message": "Brand edit request failed",
"data": "<unknown>"
}
}Authorizations
apiKeybeareroauth
Path Parameters
Was this page helpful?